Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Member Functions | Protected Member Functions | List of all members
Ofcas.Lk.Api.Client.Ui.ServiceProxy Class Reference

ServiceProxy is used to establish a connection to the service. The ServiceProxy ensures that the necessary service is started (Start). The service to be used is part of the LogiKal installation. After the start of the service the login takes place (Login). If a scope is completed, the service must be terminate with the method Stop. The ServiceProxy must be held during the lifetime of the scope. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Ui.ServiceProxy:

## Public Member Functions
| ServiceProxy (string installationPath, string arguments="")
Public Member Functions inherited from Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< IApiService, LoginScopeUi >
virtual void | Start ()
| Starts the service. This method must be called first to get the LoginScope (Login). More...
virtual void | Stop ()
| Stops the service. This method must be called before destroying the ServiceProxyBase. This method is also called in the destructor. More...
ProgramInformation | GetProgramInformation ()
| Returns ProgramInformation of the LogiKal installation. Does not require login. More...
IDialogResult< TCoreObject > | Login (string programMode, IntPtr uiHandle, TimeSpan synchronizeInterval=default(TimeSpan))
| Login to the API to get access to projects, elvations etc. . Without login no access to the API is available. Attention: Before a login is possible, the service must be started (Start). More...

## Protected Member Functions
override LoginScopeUi | GetLoginScope (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, TimeSpan synchronizeInterval)
override string | GetServicePath ()
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< IApiService, LoginScopeUi >
| ServiceProxyBase (string installationPath, string arguments="")
string | GetRuntimePath ()
abstract TCoreObject | GetLoginScope (IServiceFactory< TService > serviceFactory, Guid coreObjectId, TimeSpan synchronizeInterval)
override void | Dispose (bool disposing)

## Additional Inherited Members
Properties inherited from Ofcas.Lk.Api.Client.Ui.ServiceProxyBase< IApiService, LoginScopeUi >
string | RuntimePath`[get, set]`
TimeSpan | StartTimeout`[get, set]`
| Defines the timeout for the start operation as TimeSpan. More...
TimeSpan | WorkingTimeout`[get, set]`
| Defines the timeout for working operation as TimeSpan. More...

## Detailed Description

ServiceProxy is used to establish a connection to the service. The ServiceProxy ensures that the necessary service is started (Start). The service to be used is part of the LogiKal installation. After the start of the service the login takes place (Login). If a scope is completed, the service must be terminate with the method Stop. The ServiceProxy must be held during the lifetime of the scope.

The documentation for this class was generated from the following file:

- ServiceProxy.cs